Package org.zkoss.zkmax.ui.select

## Class SelectorsExt.ExtendedUtilityHandlerImpl

- java.lang.Object
- - org.zkoss.zk.ui.select.SelectorComposer.UtilityHandlerImpl
  - - org.zkoss.zkmax.ui.select.SelectorsExt.ExtendedUtilityHandlerImpl

- All Implemented Interfaces:
    `SelectorComposer.UtilityHandler`
  Enclosing class:
    SelectorsExt

      public static class SelectorsExt.ExtendedUtilityHandlerImpl
      extends SelectorComposer.UtilityHandlerImpl

  Extended utility implementation for `SelectorComposer`.
  Since:
    6.0.1
  Author:
    simonpai

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtendedUtilityHandlerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `postSubscriptionHandling​(java.lang.Object subsInfo, java.lang.Object target)` | Handling the subscription after a target(e.x. component) attached to this controller
    `java.lang.Object` | `resubscribeEventQueues​(java.lang.Object controller)` | Re-subscribes annotated methods to the EventQueues, used in clustering environment.
    `java.lang.Object` | `subscribeEventQueues​(java.lang.Object controller)` | Subscribes annotated methods to the EventQueues.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedUtilityHandlerImpl

          public ExtendedUtilityHandlerImpl()

  - ### Method Detail

    - #### subscribeEventQueues

          public java.lang.Object subscribeEventQueues​(java.lang.Object controller)

      Description copied from interface: `SelectorComposer.UtilityHandler`
      Subscribes annotated methods to the EventQueues.
      Specified by:
        `subscribeEventQueues` in interface `SelectorComposer.UtilityHandler`
      Overrides:
        `subscribeEventQueues` in class `SelectorComposer.UtilityHandlerImpl`

    - #### resubscribeEventQueues

          public java.lang.Object resubscribeEventQueues​(java.lang.Object controller)

      Description copied from interface: `SelectorComposer.UtilityHandler`
      Re-subscribes annotated methods to the EventQueues, used in clustering environment.
      Specified by:
        `resubscribeEventQueues` in interface `SelectorComposer.UtilityHandler`
      Overrides:
        `resubscribeEventQueues` in class `SelectorComposer.UtilityHandlerImpl`

    - #### postSubscriptionHandling

          public void postSubscriptionHandling​(java.lang.Object subsInfo,
                                               java.lang.Object target)

      Description copied from interface: `SelectorComposer.UtilityHandler`
      Handling the subscription after a target(e.x. component) attached to this controller
      Specified by:
        `postSubscriptionHandling` in interface `SelectorComposer.UtilityHandler`
      Overrides:
        `postSubscriptionHandling` in class `SelectorComposer.UtilityHandlerImpl`